Get Application Release Log
curl --request GET \
--url https://api.vertracloud.app/v1/apps/{id}/releases/{release_id}/logimport requests
url = "https://api.vertracloud.app/v1/apps/{id}/releases/{release_id}/log"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.vertracloud.app/v1/apps/{id}/releases/{release_id}/log', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.vertracloud.app/v1/apps/{id}/releases/{release_id}/log",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.vertracloud.app/v1/apps/{id}/releases/{release_id}/log"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.vertracloud.app/v1/apps/{id}/releases/{release_id}/log")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.vertracloud.app/v1/apps/{id}/releases/{release_id}/log")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"response": {
"content": "Error: Cannot find module 'express'\n at Module._resolveFilename"
}
}
{
"response": {
"content": null
}
}
Releases
Get Application Release Log
Returns the crash log recorded for one release of an application, or null when there is no log or it has expired.
GET
/
v1
/
apps
/
{id}
/
releases
/
{release_id}
/
log
Get Application Release Log
curl --request GET \
--url https://api.vertracloud.app/v1/apps/{id}/releases/{release_id}/logimport requests
url = "https://api.vertracloud.app/v1/apps/{id}/releases/{release_id}/log"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.vertracloud.app/v1/apps/{id}/releases/{release_id}/log', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.vertracloud.app/v1/apps/{id}/releases/{release_id}/log",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.vertracloud.app/v1/apps/{id}/releases/{release_id}/log"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.vertracloud.app/v1/apps/{id}/releases/{release_id}/log")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.vertracloud.app/v1/apps/{id}/releases/{release_id}/log")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"response": {
"content": "Error: Cannot find module 'express'\n at Module._resolveFilename"
}
}
{
"response": {
"content": null
}
}
Returns the crash log recorded for one release, so you can see why it failed or crashed after starting. The
Requires the
content is null when the release has no log or the log has expired. Check has_log in the release list to know beforehand.
string
required
The ID of the application. If the application belongs to a workspace, pass its ID in the
workspace_id query parameter.string
required
The ID of the release, as returned by the release list.
string
If the application belongs to a workspace, the workspace’s ID.
apps:read scope when called with an API key.
Response
object
Contains the release log.
Show Toggle object
Show Toggle object
string | null
The log text, or
null when there is no log for this release or it has expired.{
"response": {
"content": "Error: Cannot find module 'express'\n at Module._resolveFilename"
}
}
{
"response": {
"content": null
}
}
Error Responses
string
Possible error codes:
UNAUTHORIZED: User is not authenticated or lacks permissions.APP_NOT_FOUND: The application does not exist, or it is not owned by this account or workspace (404).RELEASE_NOT_FOUND: The release does not exist, or it belongs to another application (404).
string
A descriptive message providing additional details about the error.
{
"code": "RELEASE_NOT_FOUND"
}